gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.FixedLayoutChild

Contents

- Exported types
- Methods
  - getTransform
  - setTransform
- Properties
  - transform

Description

`GtkLayoutChild` subclass for children in a `GtkFixedLayout`.

Synopsis

- newtype FixedLayoutChild = FixedLayoutChild (ManagedPtr FixedLayoutChild)
- class (GObject o, IsDescendantOf FixedLayoutChild o) => IsFixedLayoutChild o
- toFixedLayoutChild :: (MonadIO m, IsFixedLayoutChild o) => o -> m FixedLayoutChild
- fixedLayoutChildGetTransform :: (HasCallStack, MonadIO m, IsFixedLayoutChild a) => a -> m (Maybe Transform)
- fixedLayoutChildSetTransform :: (HasCallStack, MonadIO m, IsFixedLayoutChild a) => a -> Transform -> m ()
- constructFixedLayoutChildTransform :: (IsFixedLayoutChild o, MonadIO m) => Transform -> m (GValueConstruct o)
- getFixedLayoutChildTransform :: (MonadIO m, IsFixedLayoutChild o) => o -> m (Maybe Transform)
- setFixedLayoutChildTransform :: (MonadIO m, IsFixedLayoutChild o) => o -> Transform -> m ()

# Exported types

newtype FixedLayoutChild Source #

Memory-managed wrapper type.

Constructors

FixedLayoutChild (ManagedPtr FixedLayoutChild) |

#### Instances

Instances details

Eq FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild Methods (==) :: FixedLayoutChild -> FixedLayoutChild -> Bool Source # (/=) :: FixedLayoutChild -> FixedLayoutChild -> Bool Source #
GObject FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild
ManagedPtrNewtype FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild Methods toManagedPtr :: FixedLayoutChild -> ManagedPtr FixedLayoutChild Source #
TypedObject FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild Methods glibType :: IO GType Source #
HasParentTypes FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild
IsGValue (Maybe FixedLayoutChild) Source # | Convert `FixedLayoutChild` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe FixedLayoutChild -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe FixedLayoutChild) Source #
type ParentTypes FixedLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild type ParentTypes FixedLayoutChild = '[LayoutChild, Object]

class (GObject o, IsDescendantOf FixedLayoutChild o) => IsFixedLayoutChild o Source #

Type class for types which can be safely cast to `FixedLayoutChild`, for instance with `toFixedLayoutChild`.

#### Instances

Instances details

(GObject o, IsDescendantOf FixedLayoutChild o) => IsFixedLayoutChild o Source # |
Instance details Defined in GI.Gtk.Objects.FixedLayoutChild

toFixedLayoutChild :: (MonadIO m, IsFixedLayoutChild o) => o -> m FixedLayoutChild Source #

Cast to `FixedLayoutChild`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChildWidget, getData, getLayoutManager, getProperty, getQdata, getTransform.

#### Setters

setData, setDataFull, setProperty, setTransform.

## getTransform

fixedLayoutChildGetTransform Source #

Arguments

:: (HasCallStack, MonadIO m, IsFixedLayoutChild a) |
=> a | `child`: a `GtkFixedLayoutChild`
-> m (Maybe Transform) | Returns: a `GskTransform`

Retrieves the transformation of the child.

## setTransform

fixedLayoutChildSetTransform Source #

Arguments

:: (HasCallStack, MonadIO m, IsFixedLayoutChild a) |
=> a | `child`: a `GtkFixedLayoutChild`
-> Transform | `transform`: a `GskTransform`
-> m () |

Sets the transformation of the child of a `GtkFixedLayout`.

# Properties

## transform

The transform of the child.

constructFixedLayoutChildTransform :: (IsFixedLayoutChild o, MonadIO m) => Transform -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`transform`” property. This is rarely needed directly, but it is used by `new`.

getFixedLayoutChildTransform :: (MonadIO m, IsFixedLayoutChild o) => o -> m (Maybe Transform) Source #

Get the value of the “`transform`” property. When overloading is enabled, this is equivalent to

    get fixedLayoutChild #transform

setFixedLayoutChildTransform :: (MonadIO m, IsFixedLayoutChild o) => o -> Transform -> m () Source #

Set the value of the “`transform`” property. When overloading is enabled, this is equivalent to

    set fixedLayoutChild [ #transform := value ]